Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030882
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2015-09-21 18:502015-11-23 21:16
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiond11762e2b999
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030882: Wrong Trial Balance report obtained when executed at Account level and checked as ""Include Zero Figures""

DescriptionReport obtained when user select "Include Zero Figures" option and level different from subaccount is not usable
Steps To Reproduce1. Access Trial Balance report, set any valid date range, organization and general ledger
2. Select Account as level and option "Include Zero Figures"
3. Obtained report is not usable
Proposed SolutionIn case "Include Zero Figures" option only applies at subaccount level, then it could be moved to Dimensions section which is only shown when subaccount level is selected
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0080948)
AtulOpenbravo (developer)
2015-10-13 10:35

Test Plan
- Access Trial Balance report, set any valid date range, organization and general ledger
- Check that Include Zero Figure check box is visible in Dimensions filter only when level is selected as Sub Account and also functional only when level is sub account.
(0080996)
psanjuan (manager)
2015-10-14 09:21
edited on: 2015-10-14 09:22

Test Plan
Access Trial Balance report, enter a valid date range, select F&B España organization and F&B España Euro General Ledger.

In Advanced Filters select "Subaccount" check that "Dimensions" section is shown including "Include Zero Figures" check-box.
Set "Include Zero Figures" = Yes and press search.
All subaccounts are shown including those ones with cero balance amount.

Go to Advanced Filters and select "Account", press "Search" and realize that only Accounts with no cero balance are shown.

Repeat above steps for "Breakdown" and "Heading".

Go to Advanced Filters and select "Subaccount", remove Include Zero Figures. Realize that only subaccounts with a balance different to zero are shown.

(0080997)
psanjuan (manager)
2015-10-14 09:35

Test Plan above verified.
Trial Balance wiki article in the wiki updated.
(0081014)
hgbot (developer)
2015-10-14 16:15

Repository: erp/devel/pi
Changeset: d11762e2b9997bd32cb806a92ff2329dd5aa4084
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Oct 13 13:48:01 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d11762e2b9997bd32cb806a92ff2329dd5aa4084 [^]

Fixes Issue 30882:Trial Balance report filter "Include Zero Figures" moved to
Dimensions filter as it is only suitable for sub account level report

Dimensions filter was only visible when level choosed is subaccount so the
Include Zero Figures check box moved in this section.

---
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.html
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.java
---
(0081015)
hgbot (developer)
2015-10-14 16:15

Repository: erp/devel/pi
Changeset: 707bfc29b8b50bbc55e6da230f89925b16772500
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Oct 14 16:12:33 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/707bfc29b8b50bbc55e6da230f89925b16772500 [^]

Related to bug 30882: code review improvements

Applied proper format to HTML table

---
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.html
---
(0081016)
vmromanos (developer)
2015-10-14 16:15

Code review + testing OK
(0082126)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082127)
hudsonbot (developer)
2015-11-23 21:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-09-21 18:50 maite New Issue
2015-09-21 18:50 maite Assigned To => Triage Finance
2015-09-21 18:50 maite Modules => Core
2015-09-21 18:50 maite Triggers an Emergency Pack => No
2015-09-21 18:50 maite Issue Monitored: networkb
2015-09-28 11:15 vmromanos Target Version 3.0PR15Q4 => 3.0PR16Q1
2015-10-13 10:33 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-10-13 10:35 AtulOpenbravo Status new => scheduled
2015-10-13 10:35 AtulOpenbravo Note Added: 0080948
2015-10-14 09:21 psanjuan Note Added: 0080996
2015-10-14 09:22 psanjuan Note Edited: 0080996 View Revisions
2015-10-14 09:35 psanjuan Note Added: 0080997
2015-10-14 16:15 hgbot Checkin
2015-10-14 16:15 hgbot Note Added: 0081014
2015-10-14 16:15 hgbot Status scheduled => resolved
2015-10-14 16:15 hgbot Resolution open => fixed
2015-10-14 16:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d11762e2b9997bd32cb806a92ff2329dd5aa4084 [^]
2015-10-14 16:15 hgbot Checkin
2015-10-14 16:15 hgbot Note Added: 0081015
2015-10-14 16:15 vmromanos Review Assigned To => vmromanos
2015-10-14 16:15 vmromanos Note Added: 0081016
2015-10-14 16:15 vmromanos Status resolved => closed
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082126
2015-11-23 21:16 hudsonbot Checkin
2015-11-23 21:16 hudsonbot Note Added: 0082127


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker